package enum

type SysCfg string

const (
	IsAllowAddFriends          = "is_allow_add_friends"
	IsAutoAddFriends           = "is_auto_add_friends"
	ProhibitAddGroupMembers    = "prohibit_add_group_members"
	ProhibitRemoveGroupMembers = "prohibit_remove_group_members"
	ProhibitUpdateGroupName    = "prohibit_update_group_name"
	ChatSensitiveWords         = "chat_sensitive_words"
)

func (gt SysCfg) String() string {
	switch gt {
	case IsAllowAddFriends:
		return "是否允许加好友"
	case IsAutoAddFriends:
		return "是否自动加好友"
	case ProhibitAddGroupMembers:
		return "是否禁止添加群成员"
	case ProhibitRemoveGroupMembers:
		return "是否禁止移出群成员"
	case ProhibitUpdateGroupName:
		return "是否禁止修改群名称"
	case ChatSensitiveWords:
		return "聊天敏感词"
	default:
		return "未知"
	}
}
