package advertising

import (
	"applet/app/svc/advertising"
	"github.com/gin-gonic/gin"
)

// GetLimit
// @Summary      广告管理-广告设置-信息
// @Tags         广告管理
// @Description  广告管理-广告设置-信息
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}  md.AdvertisingLimit			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/advertising/getLimit [get]
func GetLimit(c *gin.Context) {
	advertising.GetLimit(c)
}

// SetLimit
// @Summary      广告管理-广告设置-信息保存
// @Tags         广告管理
// @Description  广告管理-广告设置-信息保存
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.AdvertisingLimit          true   "(分页信息必填)"
// @Success      200   {string}  		"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/advertising/setLimit [post]
func SetLimit(c *gin.Context) {
	advertising.SetLimit(c)
}
