package hdl

import (
	"applet/app/e"
	"applet/app/md"
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// Config
// @Summary      基本配置
// @Tags         基本配置
// @Description  基本配置
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}   md.ConfigResp  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/config [get]
func Config(c *gin.Context) {
	res := md.ConfigResp{}
	res.OssUrl = svc.GetOssDomain()
	e.OutSuc(c, res, nil)
	return
}
