package md

type ModuleSettingGetResp struct {
	ModNameList    []map[string]interface{} `json:"mod_name_list"`   // 模块名称对照
	ModName        string                   `json:"mod_name"`        // 模块名称
	Position       string                   `json:"position"`        // 位置
	SkipIdentifier string                   `json:"skip_identifier"` // 跳转标识
	Title          string                   `json:"title"`           // 标题
	Subtitle       string                   `json:"subtitle"`        // 副标题
	Data           map[string]interface{}   `json:"data"`            // 内容
}

type ModuleSettingUpdateReq struct {
	ModNameValue   string                 `json:"mod_name_value,required"` // 模块类型值
	Position       string                 `json:"position"`                // 位置
	SkipIdentifier string                 `json:"skip_identifier"`         // 跳转标识
	Title          string                 `json:"title"`                   // 标题
	Subtitle       string                 `json:"subtitle"`                // 副标题
	Data           map[string]interface{} `json:"data"`                    // 内容
}
