package utils

import (
	"net/url"
	"strings"
)

func UriFilterExcludeQueryString(uri string) string {
	URL, _ := url.Parse(uri)

	clearUri := strings.ReplaceAll(uri, URL.RawQuery, "")

	clearUri = strings.TrimRight(clearUri, "?")

	return strings.TrimRight(clearUri, "/")
}
