package enum

type AdminState int32

const (
	AdminStateForNormal = 1
	AdminStateForFreeze = 2
)

func (gt AdminState) String() string {
	switch gt {
	case AdminStateForNormal:
		return "正常"
	case AdminStateForFreeze:
		return "冻结"
	default:
		return "未知"
	}
}

type IsSuperAdministrator int32

const (
	IsSuperAdministratorTure  = 1
	IsSuperAdministratorFalse = 2
)

func (gt IsSuperAdministrator) String() string {
	switch gt {
	case IsSuperAdministratorTure:
		return "超管"
	case IsSuperAdministratorFalse:
		return "非超管"
	default:
		return "未知"
	}
}
