package enum

type PermissionGroupState int32

const (
	PermissionGroupStateForNormal  = 1
	PermissionGroupStateForDiscard = 2
)

func (gt PermissionGroupState) String() string {
	switch gt {
	case PermissionGroupStateForNormal:
		return "正常"
	case PermissionGroupStateForDiscard:
		return "废弃"
	default:
		return "未知"
	}
}
