package cloud_bundle

import (
	"applet/app/svc/cloud_bundle"
	"github.com/gin-gonic/gin"
)

// ImgBase
// @Summary      云打包-云打包-图片配置
// @Tags         云打包
// @Description  云打包-图片配置
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object} md.CloudBundleImgResp  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/cloudBundle/img/base [get]
func ImgBase(c *gin.Context) {
	cloud_bundle.ImgBase(c)
}

// ImgBaseSave
// @Summary      云打包-图片配置
// @Tags         云打包
// @Description  云打包-图片配置
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.CloudBundleImgResp          true   "(分页信息必填)"
// @Success      200   {string}   	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/cloudBundle/img/base/save [post]
func ImgBaseSave(c *gin.Context) {
	cloud_bundle.ImgBaseSave(c)
}
