package auth

import (
	"time"

	"github.com/dgrijalva/jwt-go"
)

// TokenExpireDuration is jwt 过期时间
const TokenExpireDuration = time.Hour * 24

var Secret = []byte("egg_admin")

// JWTUser 如果想要保存更多信息，都可以添加到这个结构体中
type JWTUser struct {
	AdmId    int    `json:"adm_id"`
	Username string `json:"username"`
	jwt.StandardClaims
}
