package md

type GetContributionValueBasicSettingResp struct {
	Id                  int `json:"id"`
	PostingDynamicLiked int `json:"posting_dynamic_liked"` // 发布动态被官方点赞获得x点
	PostingCommentLiked int `json:"posting_comment_liked"` // 发布评论被官方点赞获得x点
	HandOutRedPackage   int `json:"hand_out_red_package"`  // 发红包获得x点
	PublishCreation     int `json:"publish_creation"`      // 发布创作获得x点
}

type UpdateContributionValueBasicSettingReq struct {
	Id                  string `json:"id,required"`
	PostingDynamicLiked string `json:"posting_dynamic_liked"` // 发布动态被官方点赞获得x点
	PostingCommentLiked string `json:"posting_comment_liked"` // 发布评论被官方点赞获得x点
	HandOutRedPackage   string `json:"hand_out_red_package"`  // 发红包获得x点
	PublishCreation     string `json:"publish_creation"`      // 发布创作获得x点
}
