package md

type UserFeedbackCateListReq struct {
	Page  string `json:"page,required"`  // 页数
	Limit string `json:"limit,required"` // 每页大小
}
type UserFeedbackCateListResp struct {
	Total int64                  `json:"total"`
	List  []UserFeedbackCateList `json:"list"`
}
type UserFeedbackCateList struct {
	Id   string `json:"id"`
	Name string `json:"name"`
	Sort string `json:"sort"`
}
type UserFeedbackCateSaveReq struct {
	Id   string `json:"id"`
	Name string `json:"name"`
	Sort string `json:"sort"`
}
type UserFeedbackCateDelReq struct {
	Id []string `json:"id"`
}

type UserFeedbackListReq struct {
	Page  string `json:"page,required"`  // 页数
	Limit string `json:"limit,required"` // 每页大小
	Uid   string `json:"uid"`
	Phone string `json:"phone"`
	Cid   string `json:"cid"`
}
type UserFeedbackRecordListReq struct {
	Page  string `json:"page,required"`  // 页数
	Limit string `json:"limit,required"` // 每页大小
	Id    string `json:"id"`
}
type UserFeedbackRecordListResp struct {
	Type     string `json:"type"`
	Nickname string `json:"nickname"`
	HeadImg  string `json:"head_img"`
	CreateAt string `json:"create_at"`
	Content  string `json:"content"`
}
type UserFeedbackListResp struct {
	Total      int64                    `json:"total"`
	SelectData []map[string]interface{} `json:"select_data"`
	List       []UserFeedbackList       `json:"list"`
}
type UserFeedbackList struct {
	Id       string   `json:"id"`
	Phone    string   `json:"phone"`
	Title    string   `json:"title"`
	Platform string   `json:"platform"`
	Version  string   `json:"version"`
	Type     string   `json:"type"`
	Img      []string `json:"img"`
	Content  string   `json:"content"`
	CreateAt string   `json:"create_at"`
	State    string   `json:"state" example:"0待解决 1处理中 2已解决"`
}
type UserFeedbackSayReq struct {
	Id      string `json:"id"`
	Content string `json:"content"`
}
type UserFeedbackChangeStateReq struct {
	Id    string `json:"id"`
	State string `json:"state" example:"0待解决 1处理中 2已解决"`
}
type UserFeedbackDelReq struct {
	Id []string `json:"id"`
}
